<?php
  
  //Comentado Fabio
  $json_fabio = $_POST['dados'];
  echo $json_fabio;
  exit;


  //echo "<h2>TESTE JSON</h2> <br><br>";
  //exit;
  
  //Fim comentado Fabio

  //$idprova = $_POST[];
  
  
  
  // Get JSON as a string
  
  
  //  $json_str = file_get_contents('php://input');
    
    
  //  echo "<p>json: " . $json_str . "</p>";
    
    
$i = 1;  	
    
  $vendas = json_decode($json_fabio, true);  

  foreach($vendas as $campo=>$valor){
    //echo $campo . "=>" . $valor . "<br>";
    
    
    if ($campo == 'cabecalho'){
    		foreach($valor as $cCampo => $cValor){
    			 echo $cCampo . "=>" . $cValor . "<br>";
    			 //REGISTRAR O CABEC DA VENDA

    		}
    }

    if ($campo == 'itens'){
    		foreach($valor as $itens){
    			echo "Item" . $i++ . "<br>";
    			foreach ($itens as $iCampo => $iValor){
					echo $iCampo . "=>" . $iValor . "<br>";
					//REGISTRAR OS ITENS COMPRADOS PELO CLIENTE
					
    			}
    		}

    }


    
  }
    
    
    
// Get as an object
//$json_obj = json_decode($json_str);
  

?>